module SpecTest
  module Platforms
    module WatirWebDriver

      def self.create_platform_object_for(browser)
        require "spectest/platform_watir/platform_object"
        return WatirWebDriver::PlatformObject.new(browser)
      end

      def self.works_for?(browser)
        browser.is_a?(Watir::Browser)
      end

    end
  end
end

SpecTest::Platforms.associate(:watir_webdriver, SpecTest::Platforms::WatirWebDriver)