module SpecTest
  module Platforms
    module SeleniumWebDriver

      def self.create_platform_object_for(browser)
        require "spectest/platform_selenium/platform_object"
        return SeleniumWebDriver::PlatformObject.new(browser)
      end

      def self.works_for?(browser)
        browser.is_a?(Selenium::WebDriver::Driver)
      end

    end
  end
end

SpecTest::Platforms.associate(:selenium_webdriver, SpecTest::Platforms::SeleniumWebDriver)